
<!---
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
-->
# Apache Impala Changelog

## Release Impala 2.5.5 - Unreleased (as of 2018-10-20)



### IMPROVEMENTS:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [IMPALA-4099](https://issues.apache.org/jira/browse/IMPALA-4099) | Improve error message while loading UDFs with a missing jar |  Minor | Catalog | bharath v | bharath v |
| [IMPALA-3949](https://issues.apache.org/jira/browse/IMPALA-3949) | CatalogServiceCatalog.extractFunctions should log the underlying exception when failing to load a function |  Minor | Catalog | Balazs Jeszenszky | bharath v |


### BUG FIXES:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [IMPALA-4170](https://issues.apache.org/jira/browse/IMPALA-4170) | Incorrect double quoting of identifier in SQL generated by COMPUTE INCREMENTAL STATS. |  Blocker | Frontend | Alexander Behm | Alexander Behm |
| [IMPALA-4037](https://issues.apache.org/jira/browse/IMPALA-4037) | ChildQuery::Cancel() appears to violate lock ordering |  Critical | Distributed Exec | Tim Armstrong | Tim Armstrong |
| [IMPALA-4196](https://issues.apache.org/jira/browse/IMPALA-4196) | Certain builtin functions throw symbol does not exist error when used inside aggregate function |  Major | Backend | Mala Chikka Kempanna | bharath v |
| [IMPALA-4135](https://issues.apache.org/jira/browse/IMPALA-4135) | Thrift threaded server times-out waiting connections during high load |  Critical | Distributed Exec | Henry Robinson | Thomas Tauber-Marshall |
| [IMPALA-4120](https://issues.apache.org/jira/browse/IMPALA-4120) | Incorrect results with LEAD() analytic function |  Blocker | Backend | Clemens Valiente | Michael Ho |


